# AMBARI REGISTRY MPACK
<h1>Schema Registry Management Pack for Ambari.</h1>

Install Schema Registry with Ambari using this management pack created by Acceldata

#### Version Key
- registry-1.0.0.tar.gz  - Registry 1.0.0 mpack, compatible from ODP v3.3.3.0-1 release onwards.

#### Usage Notes
- Minimal install requires Ambari
- For Authentication integration it is compatible with Knox, OAUTH2 and Kerberos
- For Authorisation integration it requires Ranger and for audit enablement requires HDFS

# Installation
Steps to Install Ambari Registry Mpack:
1. Download branch from code and zip with tar.gz extension
2. Upload gzipped file to ambari-server
3. Execute below command for installation
```
ambari-server install-mpack --mpack=registry-1.0.0.tar.gz --verbose
```
After running above commands you will see this message
```
INFO: Management pack registry-ambari-mpack-1.0.0 successfully installed! Please restart ambari-server.
INFO: Loading properties from /etc/ambari-server/conf/ambari.properties
Ambari Server 'install-mpack' completed successfully.
```
But it requires few symlink changes before Ambari server restart.
```
cd /var/lib/ambari-server/resources/stacks/ODP/3.0/services/
rm -f REGISTRY
ln -s /var/lib/ambari-server/resources/mpacks/registry-ambari-mpack-1.0.0/common-services/REGISTRY/1.0.0 REGISTRY
cd ../../3.1/services/
rm -f REGISTRY
ln -s /var/lib/ambari-server/resources/mpacks/registry-ambari-mpack-1.0.0/common-services/REGISTRY/1.0.0 REGISTRY
cd ../../3.2/services/
rm -f REGISTRY
ln -s /var/lib/ambari-server/resources/mpacks/registry-ambari-mpack-1.0.0/common-services/REGISTRY/1.0.0 REGISTRY
cd ../../3.3/services/
rm -f REGISTRY
ln -s /var/lib/ambari-server/resources/mpacks/registry-ambari-mpack-1.0.0/common-services/REGISTRY/1.0.0 REGISTRY
ambari-server restart
```

4. Login to Ambari UI and go to Add Schema Registry service
5. Select hosts for Registry server
6. Start all stopped or required services

# Uninstallation
Steps to Uninstall Ambari Registry Mpack:
1. Login to Ambari service and goto Schema Registry section
2. Stop Registry servers and delete permanently
3. Execute below command for uninstallation
```
ambari-server uninstall-mpack --mpack-name=registry-ambari-mpack
ambari-server restart
```